# Set-RASHALBDevicePriority.md

## NAME

Set-RASHALBDevicePriority

## SYNOPSIS

Changes the priority (order) of a specified HALB device within the list of HALB devices.

## SYNTAX

\*\*Set-RASHALBDevicePriority \[[HALBId](#halbid-string)] *(uint)* \[[DeviceID](#deviceid-string)] *(uint)* \[-[Direction](#Direction)] {Up | Down} \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASHALBDevicePriority \[-[InputObject](#inputobject)] *(*[*HALBSettings*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/halbsettings.md)*)* \[[DeviceID](#deviceid-string)] *(uint)* \[-[Direction](#Direction)] {Up | Down} \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASHALBDevicePriority \[[HALBName](#halbname-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[[DeviceID](#deviceid-string)] *(uint)* \[-[Direction](#Direction)] {Up | Down} \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Changes the priority (order) of a specified HALB device within the list of HALB devices.

## PARAMETERS

## HALBId (uint)

The HALB Virtual Server ID.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HALBName (string)

The HALB Virtual Server Name.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

The Site ID where the HALB Virtual Server resides.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DeviceID (uint)

The HALB Device ID.

```
        Required?                    true

        Position?                    2

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Direction ([MoveDirection](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/movedirection.md))

Specifies in which direction to move the specified HALB Device.

Possible values: Up, Down

```
        Required?                    true

        Position?                    3

        Default value                Up

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([HALBSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/halbsettings.md))

An object of type HALBSettings.

The object is obtained using the Get-RASHALB cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[HALBSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/halbsettings.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASHALBDevicePriority -HALBId 1 -DeviceId 2 -Direction Up

Increase priority of the HALB Device with ID 2 (Move it closer to the head of the list) of the HALB Virtual Server with ID 1.\
\*\*---------- EXAMPLE 2 ----------

Set-RASHALBDevicePriority -HALBName "HALB-VS" -SiteId 1 -DeviceId 2 -Direction Up

Increase priority of Device with ID 2 (Move it closer to the tail of the list) of the HALB Virtual Server with name "HALB-VS" of site ID 1.\
\*\*---------- EXAMPLE 3 ----------

Set-RASHALBDevicePriority -HALBId 1 -DeviceId 2 -Direction Down

Decrease priority of the HALB Device with ID 2 (Move it closer to the head of the list) of the HALB Virtual Server with ID 1.\
\*\*---------- EXAMPLE 4 ----------

Set-RASHALBDevicePriority -HALBName "HALB-VS" -SiteId 1 -DeviceId 2 -Direction Down

Decrease priority of Device with ID 2 (Move it closer to the tail of the list) of the HALB Virtual Server with name "HALB-VS" of site ID 1.

## RELATED LINKS

* [Remove-RASHALBDevice](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rashalbdevice.md)
* [Get-RASHALBDevice](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rashalbdevice.md)
* [Add-RASHALBDevice](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rashalbdevice.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rashalbdevicepriority.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
